JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.unblock('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.unblock(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)curl --request POST \
--url https://api.mobilerun.ai/v1/flows/{flowId}/unblock \
--header 'Authorization: Bearer <token>'
{
"data": {
"archivedAt": "<string>",
"blockedAt": "<string>",
"consecutiveFailures": 1,
"cooldownScope": "flow",
"cooldownSeconds": 123,
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"deviceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"healthMonitoringEnabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastFailureAt": "<string>",
"lastFailureCode": "device_not_found",
"lastTriggeredAt": "<string>",
"lifecycleStatus": "enabled",
"name": "<string>",
"notifyOnFailure": true,
"notifyOnSuccess": true,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"recordingPolicy": {
"mode": "off"
},
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 3,
"status": "healthy",
"templateResolutionVersion": 1,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "device_not_found",
"error": "still_broken",
"reason": "<string>"
}{
"error": "<string>"
}Flows
Unblock a flow
Clear a flow’s blocked status after fixing the underlying issue. Idempotent — safe to call on already-healthy flows.
POST
/
flows
/
{flowId}
/
unblock
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.unblock('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.unblock(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)Was this page helpful?
⌘I